Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMXSImplementationSourceImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.DOMImplementationSourceImpl
            |
            +--org.apache.xerces.dom.DOMXSImplementationSourceImpl

All Implemented Interfaces:
  org.apache.xerces.dom3.DOMImplementationSource

public class DOMXSImplementationSourceImpl
extends DOMImplementationSourceImpl

Allows to retrieve `XSImplementation`, DOM Level 3 Core and LS implementations and PSVI implementation.

See also the Document Object Model (DOM) Level 3 Core Specification.

Version:
  $Id: DOMXSImplementationSourceImpl.java,v 1.1 2003/11/18 23:47:42 elena Exp $
Author:
  Elena Litani, IBM

Constructor Summary
`DOMXSImplementationSourceImpl()`

Method Summary
`org.w3c.dom.DOMImplementation` | `getDOMImplementation(java.lang.String features)` A method to request a DOM implementation.
`org.apache.xerces.dom3.DOMImplementationList` | `getDOMImplementationList(java.lang.String features)` DOM Level 3 Core - CR A method to request a list of DOM implementations that support the specified features and versions, as specified in .

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMXSImplementationSourceImpl

    public DOMXSImplementationSourceImpl()

Method Detail

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation(java.lang.String features)

  A method to request a DOM implementation.
  Overrides:
    `getDOMImplementation` in class `DOMImplementationSourceImpl`
  Parameters:
    `features` - A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal Events 2.0"
  Returns:
    An implementation that has the desired features, or `null` if this source has none.

### getDOMImplementationList

    public org.apache.xerces.dom3.DOMImplementationList getDOMImplementationList(java.lang.String features)

  DOM Level 3 Core - CR A method to request a list of DOM implementations that support the specified features and versions, as specified in .
  Overrides:
    `getDOMImplementationList` in class `DOMImplementationSourceImpl`
  Parameters:
    `features` - A string that specifies which features and versions are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 3.0 Traversal +Events 2.0"
  Returns:
    A list of DOM implementations that support the desired features.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.